Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class IfsParameters

All Known Implementing Classes:
  AddAccessLevel, AddAttributeAction, AddClassObjectAttributeAction, AdminManagerAction, AlterIfsCredentialManager, AlterPasswordAction, BaseAppAction, CopyToIfsAction, CreateClassesAction, CreateCredentialMgrSchemaAction, CreateDatabaseObjectsAction, CreateDefaultFilterIndexAction, CreateFastFilterIndexAction, CreateFolderIndexAction, CreateIfsCredentialManagerSchemaAction, CreateIfsSchemaAction, CreateIfsUsersAction, CreateNamedPropertyBundle, CreatePasswordCredentialAction, CreateRetainedEventTypeAction, CredentialManagerAction, DisposeServiceAction, DomainConfigurationAction, DropFolderIndexAction, DropJavaAction, DropLykeIndexAction, DropNamedSchemaAction, DropSchemasAction, ForkProcessAction, FreeClassObjectAction, InactivateAgentsAction, InstallLykeAction, IterateSCsCredentialManagerAction, JDBCAction, LibrarySessionAction, LibrarySessionAndJDBCAction, LibrarySessionUpgradeAction, LoadJavaAction, ModifyAttributeAction, ObjectNameReset, OsCommandAction, PolicyManagerAction, PrepareAttributeColumns, PutPolicyAction, RecreateClassObjectViews, RecreatePublicObjectViews, RemoveAttributeAction, RenamePropertyAction, RenamePublicObjectAction, SchemaUpgrade, ScriptOperationsAction, SetRepositoryParameterAction, SetSchemaVersionAction, SQLScriptAction, StartServiceAction, UpdateFolderIndexAction, UpdateTextIndexAction, UpdateUpgradeStatusAction, UpgradeCredentialManagerSchema, VerifyMedia, VerifyMediaAction

    public interface class IfsParameters

The IfsParameters interface contains standard, commonly used iFS parameter keys which map to common parameter values that are stored in Dictionary-like objects, such as `oracle.ifs.common.ParameterTable`, `oracle.ifs.installer.Settings`, and `java.util.Properties`.

(Unpublished)
Modified:
  sgarg 02/17/2005 Added IFS_DOMAIN_DISPLAY_NAME and IFS_SCHEMA_NAME, prubio 10/11/2002 Added Oid properties for ssl support., sgarg 02/24/2002 Added "Domain" and changed names for username. password, and serverpassword, lsaenz 12/04/2000 Changed PASS to PASSWORD for certain keys; added SCHEMA_VERSION_KEY; updated comments., lsaenz 11/03/2000 Removed keys for directory constants., lsaenz 08/18/2000 Added more parameter keys., lsaenz 07/12/2000 Added IFS_SCHEMA_NAME, IFS_DATABASE_URL., lsaenz 07/10/2000 Created.

Field Summary
`static java.lang.String` | `APPEND_LOG` Whether or not to append to an existing output file when logging.
`static java.lang.String` | `DATABASE_URL` Database URL to establish a JDBC connection Defined as: "jdbc.database.url".
`static java.lang.String` | `DB_USER_NAME` Database user name to establish a JDBC connection Defined as: "jdbc.user.name".
`static java.lang.String` | `DB_USER_PASSWORD` Database user password to establish a JDBC connection Defined as: "jdbc.user.password".
`static java.lang.String` | `DOMAIN_TYPE` Domain type.
`static java.lang.String` | `ENABLE_SSL_SUPPORT` Boolean value indicating whether ssl has been enabled for oid.
`static java.lang.String` | `FOR_SCHEMA_UPGRADE` Whether a LibraryConnection is for a schema upgrade.
`static java.lang.String` | `IFS_DOMAIN_DISPLAY_NAME` iFS domain display name for creating a new LibraryService.
`static java.lang.String` | `IFS_DOMAIN_NAME` iFS domain name for creating a new or finding an existing LibraryService.
`static java.lang.String` | `IFS_SCHEMA_NAME` iFS schema name to use when creating a new LibraryService.
`static java.lang.String` | `IFS_SCHEMA_PASSWORD` iFS schema password to use when creating a new LibraryService.
`static java.lang.String` | `IFS_SERVICE_NAME` iFS service name for creating a new or finding an existing LibraryService.
`static java.lang.String` | `IFS_USER_NAME` iFS user name to establish a new LibrarySession.
`static java.lang.String` | `IFS_USER_PASSWORD` iFS user password to establish a new LibrarySession.
`static java.lang.String` | `INCLUDE_PATH` Directory path to search for included parameter files (used by AdminManager when executing ".adm" files).
`static java.lang.String` | `INITIAL_CONTEXT_FACTORY` Initial context factory
`static java.lang.String` | `LDAP_URL_DAS_LOOKUP` The LDAP host where the DAS urls are kept
`static java.lang.String` | `LDAP_USER_NAME` Database user name to establish a LDAP connection Defined as: "ldap.user.name".
`static java.lang.String` | `LDAP_USER_PASSWORD` Database user password to establish a LDAP connection Defined as: "ldap.user.password".
`static java.lang.String` | `OUTPUT_FILE` Output file to use for logging.
`static java.lang.String` | `PARAMETER_FILE` Configuration file from which to load parameters (used by instances of ParameterTable).
`static java.lang.String` | `REGISTRY` Absolute path to iFS registry file.
`static java.lang.String` | `SCHEMA_VERSION_KEY` Respository parameter key for schema version.
`static java.lang.String` | `SECURITY_PROTOCOL_NAME` The name of the security protocol to use
`static java.lang.String` | `SERVICE_CONFIGURATION_NAME` Service configuration name

Field Detail

### IFS_USER_NAME

    static final java.lang.String IFS_USER_NAME

  Description copied from interface: `IfsParameters`
  iFS user name to establish a new LibrarySession. Defined as: "Username".

  See Also:
    Constant Field Values

### IFS_USER_PASSWORD

    static final java.lang.String IFS_USER_PASSWORD

  Description copied from interface: `IfsParameters`
  iFS user password to establish a new LibrarySession. Defined as: "Password".

  See Also:
    Constant Field Values

### IFS_SERVICE_NAME

    static final java.lang.String IFS_SERVICE_NAME

  Description copied from interface: `IfsParameters`
  iFS service name for creating a new or finding an existing LibraryService. Defined as: "Service".

  See Also:
    Constant Field Values

### IFS_DOMAIN_NAME

    static final java.lang.String IFS_DOMAIN_NAME

  Description copied from interface: `IfsParameters`
  iFS domain name for creating a new or finding an existing LibraryService. Defined as: "Domain".

  See Also:
    Constant Field Values

### IFS_DOMAIN_DISPLAY_NAME

    static final java.lang.String IFS_DOMAIN_DISPLAY_NAME

  Description copied from interface: `IfsParameters`
  iFS domain display name for creating a new LibraryService. Defined as: "DomainDisplayName".

  See Also:
    Constant Field Values

### DOMAIN_TYPE

    static final java.lang.String DOMAIN_TYPE

  Description copied from interface: `IfsParameters`
  Domain type. Defined as: "DomainType".

  See Also:
    Constant Field Values

### REGISTRY

    static final java.lang.String REGISTRY

  Description copied from interface: `IfsParameters`
  Absolute path to iFS registry file. Defined as: "Registry".

  See Also:
    Constant Field Values

### DB_USER_NAME

    static final java.lang.String DB_USER_NAME

  Description copied from interface: `IfsParameters`
  Database user name to establish a JDBC connection Defined as: "jdbc.user.name".

  See Also:
    Constant Field Values

### DB_USER_PASSWORD

    static final java.lang.String DB_USER_PASSWORD

  Description copied from interface: `IfsParameters`
  Database user password to establish a JDBC connection Defined as: "jdbc.user.password".

  See Also:
    Constant Field Values

### DATABASE_URL

    static final java.lang.String DATABASE_URL

  Description copied from interface: `IfsParameters`
  Database URL to establish a JDBC connection Defined as: "jdbc.database.url".

  See Also:
    Constant Field Values

### IFS_SCHEMA_NAME

    static final java.lang.String IFS_SCHEMA_NAME

  Description copied from interface: `IfsParameters`
  iFS schema name to use when creating a new LibraryService. Defined as: "SchemaName".

  See Also:
    Constant Field Values

### IFS_SCHEMA_PASSWORD

    static final java.lang.String IFS_SCHEMA_PASSWORD

  Description copied from interface: `IfsParameters`
  iFS schema password to use when creating a new LibraryService. Defined as: "SchemaPassword".

  See Also:
    Constant Field Values

### FOR_SCHEMA_UPGRADE

    static final java.lang.String FOR_SCHEMA_UPGRADE

  Description copied from interface: `IfsParameters`
  Whether a LibraryConnection is for a schema upgrade. Defined as: "forSchemaUpgrade".

  See Also:
    Constant Field Values

### PARAMETER_FILE

    static final java.lang.String PARAMETER_FILE

  Description copied from interface: `IfsParameters`
  Configuration file from which to load parameters (used by instances of ParameterTable). Defined as: "parameterfile".

  See Also:
    Constant Field Values

### OUTPUT_FILE

    static final java.lang.String OUTPUT_FILE

  Description copied from interface: `IfsParameters`
  Output file to use for logging. Defined as: "outputfile".

  See Also:
    Constant Field Values

### APPEND_LOG

    static final java.lang.String APPEND_LOG

  Description copied from interface: `IfsParameters`
  Whether or not to append to an existing output file when logging. Defined as: "AppendLog".

  See Also:
    Constant Field Values

### INCLUDE_PATH

    static final java.lang.String INCLUDE_PATH

  Description copied from interface: `IfsParameters`
  Directory path to search for included parameter files (used by AdminManager when executing ".adm" files). Defined as: "IncludePath".

  See Also:
    Constant Field Values

### SCHEMA_VERSION_KEY

    static final java.lang.String SCHEMA_VERSION_KEY

  Description copied from interface: `IfsParameters`
  Respository parameter key for schema version. Defined as "SCHEMAVERSION".

  See Also:
    Constant Field Values

### LDAP_USER_NAME

    static final java.lang.String LDAP_USER_NAME

  Description copied from interface: `IfsParameters`
  Database user name to establish a LDAP connection Defined as: "ldap.user.name".

  See Also:
    Constant Field Values

### LDAP_USER_PASSWORD

    static final java.lang.String LDAP_USER_PASSWORD

  Description copied from interface: `IfsParameters`
  Database user password to establish a LDAP connection Defined as: "ldap.user.password".

  See Also:
    Constant Field Values

### INITIAL_CONTEXT_FACTORY

    static final java.lang.String INITIAL_CONTEXT_FACTORY

  Description copied from interface: `IfsParameters`
  Initial context factory

  See Also:
    Constant Field Values

### LDAP_URL_DAS_LOOKUP

    static final java.lang.String LDAP_URL_DAS_LOOKUP

  Description copied from interface: `IfsParameters`
  The LDAP host where the DAS urls are kept

  See Also:
    Constant Field Values

### SERVICE_CONFIGURATION_NAME

    static final java.lang.String SERVICE_CONFIGURATION_NAME

  Description copied from interface: `IfsParameters`
  Service configuration name

  See Also:
    Constant Field Values

### ENABLE_SSL_SUPPORT

    static final java.lang.String ENABLE_SSL_SUPPORT

  Description copied from interface: `IfsParameters`
  Boolean value indicating whether ssl has been enabled for oid.

  See Also:
    Constant Field Values

### SECURITY_PROTOCOL_NAME

    static final java.lang.String SECURITY_PROTOCOL_NAME

  Description copied from interface: `IfsParameters`
  The name of the security protocol to use

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD